%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:       nodejs-events
Version:    1.1.1
Release:    1%{?dist}.3
Summary:    Node's event emitter 
License:    MIT
URL:        https://github.com/Gozala/events
Source:     https://github.com/Gozala/events/archive/v%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

ExclusiveArch: %{nodejs_arches} noarch

%description
Node's event emitter for node.js

%prep
%setup -q -n events-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/events
cp -pr events.js package.json \
    %{buildroot}%{nodejs_sitelib}/events


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mocha --ui qunit -- tests/index.js
%endif

%files
%doc LICENSE History.md Readme.md tests/ 
%{nodejs_sitelib}/events


%changelog
* Mon Oct  3 2016 Oleg Girko <ol@infoserver.lv> - 1.1.1-1
- Update to 1.1.1
* Mon Oct  3 2016 Oleg Girko <ol@infoserver.lv> - 1.0.2-4
- Fix installation directory name
- Enable tests
* Thu Feb  4 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Thu Nov  6 2014 Anish Patil <apatil@redhat.com> - 1.0.2-1
- Initial package
